Get a content ticket for a node's bytes
GET
/api/v1/drive/projects/{projectId}/branches/{branchKey}/nodes/{nodeId}/content
const url = 'https://app.avera.io/api/v1/drive/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branches/example/nodes/example/content';const options = {method: 'GET', headers: {'X-Avera-Drive-Contract': '1'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.avera.io/api/v1/drive/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/branches/example/nodes/example/content \ --header 'X-Avera-Drive-Contract: 1'A short-lived way to the bytes: a presigned download URL for a file, or the address of this server’s link document for a document body node. A container has no content, and a file whose scan has not passed is refused.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
branchKey
required
string
nodeId
required
string
Header Parameters
Section titled “Header Parameters”X-Avera-Drive-Contract
required
integer format: int32
X-Avera-Drive-Naming
string
Responses
Section titled “Responses”OK
Media type*/*
object
url
required
string
method
required
string
expiresAt
required
string format: date-time
contentVersion
required
string
kind
required
string
contentType
string | null
size
integer | null format: int64
fileName
required
string